# Configure Radix Node Dashboard on Grafana

## Introduction

By default the Radix team have provided their own Prometheus server and Grafana Dashboard within the node build. However you may want to consolidate dashboards with other systems or services so the steps below provide a guide on how to import the Radix node metrics into your own monitoring server.

### Pre-Reqs

{% content-ref url="/pages/-MeGpfI1kydtRDQUi2M4" %}
[Build and Configure the Monitoring Webserver](/build-the-webserver.md)
{% endcontent-ref %}

### Pre-Configure the Node Server

To export the metrics you will need to install Prometheus on the Node server. The easist way to do this is to install it via the Radixnode CLI. You can follow the instructions [here](https://docs.radixdlt.com/main/node/install-grafana-dashboard.html).<br>

Then open the firewall on the Node Server if you haven't already

```bash
sudo ufw allow proto tcp from <WebServer IP> to any port 8099
```

### Configure your Monitoring server

On your Monitoring WebServer copy and paste the following into the existing yml file. From the Monitoring Build guide this was created at `/etc/prometheus/prometheus.yml`

{% code title="/etc/prometheus/prometheus.yml" %}

```bash
  - job_name: 'mynode'
    scheme: https
    basic_auth:
      username: "metrics"
      password: "<YOUR METRICS PASSWORD>"
    tls_config:
      insecure_skip_verify: true
    static_configs:
      - targets:
          - <NODE IP 1>
          - <NODE IP 2>
```

{% endcode %}

Save and close the file then restart the service

```bash
sudo systemctl daemon-reload
sudo systemctl restart prometheus
```

### Import the Radix Node Runner Dashboard JSON&#x20;

This can either be exported by running the `radixnode monitoring setup` CLI command and accessing the dashboard from `http://<YOUR NODE IP>:3000/d/radix_node_dashboard/radix-node-dashboard?orgId=1&refresh=5s`

then export the Dashboard JSON from there or ask one of the other node runners to export it for you.

### Configure the Dashboard

Depending on what other infrastructure you are monitoring with Grafana you may need to specify the particular node IP for some of the panels.

Eg. you may need to edit the Status panel to focus on the node IP.

![](/files/-MfcLum7Aes704mQVEoI)

and that should be it.

You can now go ahead and add alerting for any of the panels eg. create a Telegram alert when the Node status is 'Down'.

{% content-ref url="/pages/-MeJpaK7z\_CvKVo4EQ7n" %}
[Monitoring and Alerting](/monitoring-and-alerting.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.radix-staking.com/install-and-configure-the-radix-validator-software/configure-radix-node-dashboard-on-grafana.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
